Vulnerabilità: CVE-2006-2908

La funzione domecode in inc / functions_post.php in MyBulletinBoard (MyBB) 1.1.2, ed eventualmente altre versioni, permette attaccanti remoti di eseguire codice PHP arbitrario tramite il campo nome utente, che viene utilizzato in una chiamata di funzione preg_replace con / e (eseguibile ) modificatore.


http://www.securityfocus.com/bid/18396
http://www.securityfocus.com/archive/1/436767/100/0/threaded
http://www.securityfocus.com/archive/1/437509/100/100/threaded
http://secunia.com/secunia_research/2006-40/advisory/
http://www.514.es/download/mybibi.pl
http://www.osvdb.org/26216
http://securitytracker.com/id?1016270
http://secunia.com/advisories/20371
http://securityreason.com/securityalert/1086
http://www.vupen.com/english/advisories/2006/2288
https://exchange.xforce.ibmcloud.com/vulnerabilities/27046
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2908


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi